%define	version   8300
%define	release   %mkrel 1
%define	dic_date  20061121

# b/c we include the .so for dlopen() in main lib package:
%define _requires_exceptions devel\(.*\) 

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      anthy
Summary:   A Japanese words input system
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://www.sourceforge.jp/projects/anthy/
Source0:   http://sourceforge.jp/projects/anthy/files/%{name}-%{version}.tar.bz2

# (ut) I modified gcanna.ctd (a dictionary for Anthy).
# http://www.geocities.jp/ep3797/anthy_dict_01.html
Source1:   anthy_gcanna_ut-%{dic_date}.tar.bz2

Patch0:    anthy_name.t.diff

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:        %{libname} = %{version}
BuildRequires:   emacs-bin

%description
Anthy is a free and secure Japanese input system.


%package -n %{libname}
Summary:    Anthy library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Anthy library.

%package -n %{libname}-devel
Summary:    Headers of %{name} for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Anthy development package: static libraries, header files, and the like.


%prep
%setup -q
%patch0 -p0

# update cannadic
cp %SOURCE1 .
tar -jxf %SOURCE1
cp -f anthy_gcanna_ut-%{dic_date}/gcanna.ctd.%{dic_date} cannadic/gcanna.ctd

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DIARY NEWS README doc
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so.*
# (tv) fix uim dloading libanthy.so
%{_libdir}/*.so

%files -n %{libname}-devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*



%changelog
* Fri Nov 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 8300-1mdv2007.0
+ Revision: 87014
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
- new release
- update source1 (anthy_gcanna_ut)
- add patch0 (it will be merged soon)
- reenable parallel build

* Tue Oct 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 8116-1mdv2007.1
+ Revision: 65971
- temporary disable broken parallel build
- new release; update source1 (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- initial import
- Created package structure for anthy.


* Thu Aug 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8023-1mdv2007.0
- new release
- update source1 (anthy_gcanna_ut)

* Tue Aug 29 2006 Thierry Vignaud <tvignaud@mandriva.com> 8019-2mdv2007.0
- prevent extra devel requires on non devel file

* Mon Aug 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8019-1mdv2007.0
- new release
- update source1 (anthy_gcanna_ut)
- remove patch0,1 (merged upstream)

* Wed Aug 16 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8013-2mdv2007.0
- update source1 (anthy_gcanna_ut)
- add patch0 (anthy-name.t_20060815.diff)
- add patch1 (anthy_gcannaf.ctd_20060815.diff)

* Mon Aug 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 8013-1mdv2007.0
- new release

* Mon Jul 31 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7929-1mdv2007.0
- new release

* Mon Jul 24 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7917-1mdv2007.0
- new release

* Mon Jun 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7818-1mdv2007.0
- new release

* Sun May 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7714-1mdk
- new release

* Wed Apr 26 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7625-1mdk
- new release

* Wed Apr 26 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7625-1mdk
- new release

* Sat Apr 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7622-1mdk
- new release

* Wed Apr 19 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7614-2mdk
- update source1

* Sat Apr 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7614-1mdk
- new release
- remove patch0 (merged upstream)

* Thu Apr 13 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7608-1mdk
- new release
- update source1
- remove patch0, patch1 (merged upstream)
- add new patch0

* Wed Mar 15 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7500-1mdk
- new release
- remove patch0 (merged upstream)
- update source1
- add patch0
- add patch1

* Wed Feb 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7419-2mdk
- update source1
- update patch0

* Tue Feb 21 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7419-1mdk
- new release
- update source1
- add patch0

* Sun Jan 08 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7307-1mdk
- replace patch0 with source1
- update source1 (cannadic)

* Wed Dec 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7227-1mdk
- new release
- update patch0

* Tue Nov 22 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7100b-2mdk
- remove source1 (anthy_placename) to keep conversion compatibility

* Thu Nov 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 7100b-1mdk
- new release

* Sat Oct 29 2005 Nicolas l?ureuil <neoclust@mandriva.org> 7029-1mdk
- package from : UTUMI Hirosi <utuhiro78 at yahoo dot co dot jp>
	- new release
	- add patches for dictionaries (source1, patch0)

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 6829-1mdk
- new release

* Wed Aug 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6801-1mdk
- new release

* Fri Jul 22 2005 Nicolas L?ureuil <neoclust@mandriva.org> 6700b-1mdk
- New release 6700b

* Fri Jun 17 2005 Nicolas L?ureuil <neoclust@mandriva.org> 6606-1mdk
- New release 6606

* Mon May 09 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6508-1mdk
- new release

* Sat Apr 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6331-1mdk
- new release

* Tue Mar 08 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300d-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 6300-2mdk
- reupload, src.rpm got lost
- remove requires-on-release (rpmlint)

* Mon Feb 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6300-1mdk
- new release
- spec clean up

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6131-1mdk
- new release (fix conversion quite a lot common japanese words)

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 6125-1mdk
- new release

* Tue Dec 28 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 6024-1mdk
- new release
- clean up spec

* Thu Nov 25 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5924-1mdk
- new release

* Mon Nov 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5900-1mdk
- new release

* Wed Sep 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5714-1mdk
- new release

* Sat Sep 04 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5704-1mdk
- new release

* Fri Aug 27 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5626-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5605-1mdk
- new release
- reenable libtoolize

* Sat Jul 31 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5531-1mdk
- new release

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5524-2mdk
- rpmbuildupdate aware

* Sat Jul 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5524-1mdk
- new release

* Sat Jul 24 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5523-1mdk
- new release

* Tue Jul 20 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5516-1mdk
- new release

* Mon Jun 21 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 5414-1mdk
- new release

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5406-1mdk
- new release

* Thu May 27 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5326-1mdk
- new release

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 5100-1mdk
- new release

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-5mdk
- move .so link into libanthy0 since uim load them through dlopen

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-4mdk
- fix requires

* Wed Feb 18 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 4925-3mdk
- fix requires

* Fri Jan 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-2mdk
- use proper build fix

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4925-1mdk
- new release
- fix build

* Sat Jan 24 2004 Per ?vind Karlsen <peroyvind@linux-mandrake.com> 4700-2mdk
- fix buildrequires
- cosmetics

* Wed Jan 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 4700-1mdk
- from UTUMI Hirosi <utuhiro78@yahoo.co.jp>: initial upload

* Fri Nov 14 2003 Yuhei Matsunaga <yuhei@users.sourceforge.jp> 4700-1
- Version updated.

